# Installation
Clone this repository and install COMBO (we suggest using virtualenv/conda with Python 3.6+):
```bash
pip install -U pip setuptools wheel
pip install --index-url https://pypi.clarin-pl.eu/simple combo==1.0.3
combo --helpfull
```

### Virtualenv example:
```bash
python -m venv venv
source venv/bin/activate
pip install -U pip setuptools wheel
pip install --index-url https://pypi.clarin-pl.eu/simple combo==1.0.3
```

### Conda example:
```bash
conda create -n combo python=3.8
conda activate combo
pip install -U pip setuptools wheel
pip install --index-url https://pypi.clarin-pl.eu/simple combo==1.0.1
```

## Problems & solutions
* **jsonnet** installation error

Run `conda install -c conda-forge jsonnet=0.15.0` and re-run installation.

* No package 'sentencepiece' found

Run `pip install sentencepiece==0.1.83` for Python < 3.8 and re-run installation.

Run `pip install sentencepiece==0.1.85` for Python >= 3.8 and re-run installation.

* Missing Cython error

Run `pip install spacy==2.3.2` manually and re-run installation.
